/// <reference types="react" />
import { Column } from '@tanstack/react-table';
import { DataGridFilterFn } from './filters/types';
export interface ColumnFilterProps {
    column: Column<any, unknown>;
    filterFn: DataGridFilterFn<unknown>;
    className: string;
    color: string;
}
export declare const ColumnFilter: ({ column, className, color, filterFn }: ColumnFilterProps) => JSX.Element;
export interface ExternalColumnFilterProps {
    column: Column<any, any>;
}
export declare const ExternalColumnFilter: ({ column }: ExternalColumnFilterProps) => import("react").ReactElement<import("./filters/types").DataGridFilterElementProps<unknown>, string | import("react").JSXElementConstructor<any>> | null;
