import { OperatorFilterOptions } from './createOperatorFilter';
import { DataGridFilterInput, DataGridFilterOperator } from './types';
export declare const StringFilterInput: DataGridFilterInput<string>;
export declare const stringOperators: {
    includes: (label?: string) => DataGridFilterOperator<string, string>;
    notIncludes: (label?: string) => DataGridFilterOperator<string, string>;
    equals: (label?: string) => DataGridFilterOperator<string, string>;
    notEquals: (label?: string) => DataGridFilterOperator<string, string>;
    startsWith: (label?: string) => DataGridFilterOperator<string, string>;
    endsWith: (label?: string) => DataGridFilterOperator<string, string>;
};
export declare function createStringFilter(options?: Partial<OperatorFilterOptions<string, string>>): import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<string>>;
export declare const stringFilterFn: import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<string>>;
